<script setup lang="ts">
import { useStockStore } from '@/stores/stock';
import { onMounted } from 'vue'

const stockStore = useStockStore()
onMounted(async () => {
  await stockStore.getStocks()
})
</script>

<template>
  <v-card>
    <v-table fixed-header height="554px" style="overflow: auto">
      <thead>
        <tr>
          <th class="text-center">ID</th>
          <th class="text-center">Material Name</th>
          <th class="text-center">Branch ID</th>
          <th class="text-center">Stock Quantity</th>
          <th class="text-center">Material Status</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="item of stockStore.stock" :key="item.stock_id">
          <td class="text-center">{{ item.stock_id }}</td>
          <td class="text-center">{{ item.material.material_name }}</td>
          <td class="text-center">{{ item.branch.name }}</td>
          <td class="text-center">{{ item.stock_qty }}</td>
          <td class="text-center">
            <v-btn :class="{
          'highlight-row': item.material_status === 'LOW STOCK',
          'zero-row': item.material_status === 'OUT OF STOCK',
          'normal': item.material_status === 'FULL STOCK'
        }" style="min-width: 150px">
              {{
          item.material_status === 'LOW STOCK'
            ? 'Low Stock'
            : item.material_status === 'OUT OF STOCK'
              ? 'Out of Stock'
              : 'Full Stock'
        }}
            </v-btn>
          </td>
        </tr>
      </tbody>
    </v-table>
  </v-card>
</template>

<style scoped>
.highlight-row {
  background-color: rgb(250, 197, 24);
}

.zero-row {
  background-color: rgb(255, 0, 0);
}

.normal {
  background-color: green;
}
</style>
